#!/bin/bash

if [ $# -ne 1 ]
 then
  echo "ATTENZIONE: QUESTO SCRIPT RICHIEDE ESATTAMENTE UN ARGOMENTO DA LINEA DI COMANDO"
 exit 1
fi

if [ ! -r "$1" -o ! -f "$1" ]
 then
  echo "ATTENZIONE: $1 deve essere un file leggibile"
  exit 1
fi

for RIGA in $(cat $1)
 do
  NOMEVECCHIO=$(echo $RIGA | cut -d : -f1)
  NOMENUOVO=$(echo $RIGA | cut -d : -f2)
  if [ ! -w "$NOMEVECCHIO" -o ! -f "$NOMEVECCHIO" ]
   then
    echo "ATTENZIONE: $NOMEVECCHIO deve essere un file scrivibile: ignoro la riga"
   elif [ -e "$NOMENUOVO" ]
    then
     echo "ATTENZIONE: $NOMENUOVO non deve gia' esistere: ignoro la riga"
   else
    mv "$NOMEVECCHIO" "$NOMENUOVO"
    echo "$NOMEVECCHIO" rinominato in  "$NOMENUOVO"
  fi
 done
